## javax.servlet
Class HttpMethodConstraintElement

    java.lang.Object
      javax.servlet.HttpConstraintElement
          javax.servlet.HttpMethodConstraintElement

    public class HttpMethodConstraintElement

extends HttpConstraintElement

Java Class represntation of an `HttpMethodConstraint` annotation value.

Since:
  Servlet 3.0

Constructor Summary
`HttpMethodConstraintElement(java.lang.String methodName)` Constructs an instance with default `HttpConstraintElement` value.
`HttpMethodConstraintElement(java.lang.String methodName, HttpConstraintElement constraint)` Constructs an instance with specified `HttpConstraintElement` value.

Method Summary
`java.lang.String` `getMethodName()` Gets the HTTP method name.

Methods inherited from class javax.servlet.HttpConstraintElement
`getEmptyRoleSemantic, getRolesAllowed, getTransportGuarantee`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpMethodConstraintElement

    public HttpMethodConstraintElement(java.lang.String methodName)

  Constructs an instance with default `HttpConstraintElement` value.

  Parameters:
    `methodName` - the name of an HTTP protocol method. The name must not be null, or the empty string, and must be a legitimate HTTP Method name as defined by RFC 2616

### HttpMethodConstraintElement

    public HttpMethodConstraintElement(java.lang.String methodName,
                                       HttpConstraintElement constraint)

  Constructs an instance with specified `HttpConstraintElement` value.

  Parameters:
    `methodName` - the name of an HTTP protocol method. The name must not be null, or the empty string, and must be a legitimate HTTP Method name as defined by RFC 2616
    `constraint` - the HTTPconstraintElement value to assign to the named HTTP method

Method Detail

### getMethodName

    public java.lang.String getMethodName()

  Gets the HTTP method name.

  Returns:
    the Http method name

Copyright © 2012 GlassFish Community. All Rights Reserved.